<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreProfesseurRequest;
use App\Http\Resources\ProfesseurResource;
use App\Models\Professeur;
use Illuminate\Http\Request;

class ProfesseurController extends Controller
{
    public function index()
    {
        $professeurs = Professeur::all();
        return ProfesseurResource::collection($professeurs);
    }

    public function store(StoreProfesseurRequest $request)
    {
        $professeur = Professeur::create($request->validated());
        return new ProfesseurResource($professeur);
    }

    public function show(Professeur $professeur)
    {
        return new ProfesseurResource($professeur);
    }

    public function update(StoreProfesseurRequest $request, Professeur $professeur)
    {
        $professeur->update($request->validated());
        return new ProfesseurResource($professeur);
    }

    public function destroy(Professeur $professeur)
    {
        $professeur->delete();
        return response()->json(['message' => 'Professeur supprimé'], 200);
    }
}
